## libosmo-netif 0.0.6

=== debian/changelog ===
libosmo-netif (0.0.6-2) unstable; urgency=low

  * debian/control: add myself to uploaders
  * debian/control: move package to debian-mobcom and change URLs
  * debian/control: change maintainer to debian-mobcom-maintainers
  * debian/control: use dh10
  * debian/control: bump standard to 4.1.0 (no changes)
  * debian/control: remove dbg package
  * debian/control: remove redundant dependency of dh-autoreconf

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 11 Sep 2017 19:52:59 +0200

libosmo-netif (0.0.6-1) unstable; urgency=low

  * Initial release (Closes: #806585)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 13 Dec 2015 11:43:30 +0100
