## libosmo-netif 0.0.7.20170825

=== debian/changelog ===
libosmo-netif (0.0.7.20170825) UNRELEASED; urgency=medium

  * Move forward toward a new release.
  * Snapshot build

 -- Holger Hans Peter Freyther <holger@moiji-mobile.com>  Fri, 25 Aug 2017 21:48:32 +0200
