## libosmo-netif 0.0.7.20170826

=== debian/changelog ===
libosmo-netif (0.0.7.20170826) UNRELEASED; urgency=medium

  * Move forward toward a new release.
  * Snapshot build

 -- Holger Hans Peter Freyther <holger@moiji-mobile.com>  Sat, 26 Aug 2017 04:44:46 +0200
