## libosmo-netif 0.1.1

=== debian/changelog ===
libosmo-netif (0.1.1-2) unstable; urgency=medium

  * move to unstable
  * debian/control: add salsa URLs
  * debian/control: use dh11
  * debian/control: bump standard to 4.1.4 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 10 Apr 2018 19:47:14 +0100

libosmo-netif (0.1.1-1) experimental; urgency=medium

  * New upstream release
  * bump SONAME

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 29 Nov 2017 08:48:26 +0100
