## libosmo-netif 0.3.0

=== debian/changelog ===
libosmo-netif (0.3.0-1) unstable; urgency=low

  * Upload to unstable

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 05 Nov 2018 21:41:10 +0100

libosmo-netif (0.3.0-1~exp1) experimental; urgency=medium

  * New upstream release
  * libosmonetif4 -> libosmonetif6
  * Removed commented out sections related to libosmonetif4-dbg
  * Added debian/gbp.conf
  * debian/rules:
    - Do not use dpkg-parsechangelog anymore

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 29 Aug 2018 18:59:13 +0200

libosmo-netif (0.2.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: adjust minimal needed version of dependencies
  * debian/*symbols: update symbols file

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 17 May 2018 14:30:08 +0200
