=== debian/control ===
Source: libosmo-netif
Section: libs
Priority: optional
Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
	, Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 11)
               , libosmocore-dev (>=0.12.0)
               , libosmo-abis-dev (>=0.5.1)
               , pkg-config
               , libortp-dev
               , libsctp-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/libosmo-netif
Vcs-Git: https://salsa.debian.org/debian-mobcom-team/libosmo-netif.git
Homepage: http://git.osmocom.org/libosmo-netif/

Package: libosmonetif6
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Common/shared code regarding network interface for OpenBSC
 The libosmo-netif library is one of the libraries needed by the
 OpenBSC GSM infrastructure software. This library in particular implements
 the shared code for network interfaces.

Package: libosmo-netif-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libosmocore-dev,
         libosmonetif6 (= ${binary:Version})
Multi-Arch: same
Description: Development headers for Osmocom network interface
 The libosmo-netif library is one of the libraries needed by the
 OpenBSC GSM infrastructure software. This library in particular implements
 the shared code for network interfaces.
 .
 This package contains the development files needed for developing with
 the libosmo-netif library.
