=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all



%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	echo $(DEB_VERSION_UPSTREAM) > .tarball-version
	dh_autoreconf

override_dh_install:
	dh_install
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`

override_dh_clean:
	dh_clean
	rm -f tests/package.m4 tests/testsuite .version .tarball-version
