## libosmo-netif 0.7.0

=== debian/changelog ===
libosmo-netif (0.7.0) unstable; urgency=medium

  [ Pau Espin Pedrol ]
  * stream: Introduce API osmo_stream_cli_is_connected
  * stream: Fix scheduling of queued messages during connecting state
  * stream_test: Use fake time
  * stream_test: Log fake time
  * osmux: osmux_snprintf(): Append comma between osmux frames in msg
  * osmux: osmux_snprintf(): Remove dangling whitespace at the end of dummy frames
  * tests: osmux_test: Use fake time also for monotonic clock
  * osmux: squash LOGP message to one line
  * tests: osmux_test: Provide More accurate logging expectancies
  * stream.c: remove duplicated line setting variable
  * stream: osmo_stream_srv_link: Support setting multiple addr
  * stream: osmo_stream_cli: Support setting multiple addr
  * tests: osmux_test: Hardcode h_output values set by random()
  * stream: Fix fd param passed to close() in error conditon
  * libosmo-netif.pc.in: Append -lsctp to Libs.private

  [ Neels Hofmeyr ]
  * osmux_test: don't use color logging

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Thu, 02 Jan 2020 21:01:22 +0100

libosmo-netif (0.6.0) unstable; urgency=medium

  [ Pau Espin Pedrol ]
  * osmux: Extend osmux_out_handle and add new API to set rtp payload_type

  [ Oliver Smith ]
  * contrib/jenkins.sh: run "make maintainer-clean"

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Wed, 07 Aug 2019 20:59:51 +0200

libosmo-netif (0.5.0) unstable; urgency=medium

  [ Max ]
  * Stream examples: filter internal logging
  * Stream examples: log sent/received bytes
  * Stream examples: fix server's endless loop
  * Add missing include
  * Cosmetic: use #pragma once as include guard
  * Stream client: fix doxygen typo
  * Stream examples: print accepted client address
  * Stream client: update logging
  * Add socket name functions to stream client/server
  * Stream client: fix disconnection logic
  * Stream examples: fix typos in error message
  * Ignore test binaries
  * Stream client: report reconnection event as INFO
  * Add stream client/server test
  * Stream client: add disconnect callback
  * Deprecate osmo_stream_cli_open2()

  [ Philipp Maier ]
  * AMR: add spec reference for AMR frame types
  * AMR: add define constants for AMR payload length
  * AMR: add functions to convert between bw-efficient and octet-aligned
  * amr: cosmetic: correct sourcecode formatting
  * amr: be sure result of osmo_amr_bwe_to_oa() fits into int buf
  * amr: use sizeof(struct amr_hdr) when working with amr header length

  [ Harald Welte ]
  * debian: Add BuildDepends on libpcap0.8-dev

  [ Oliver Smith ]
  * gitignore: add amr_test
  * tests: AM_LDFLAGS = -noinstall for all tests

 -- Harald Welte <laforge@gnumonks.org>  Fri, 10 May 2019 12:40:03 +0200

libosmo-netif (0.4.0) unstable; urgency=medium

  [ Neels Hofmeyr ]
  * fix strncpy bug in rs232.c
  * logging: fix typo in stream.c

  [ Harald Welte ]
  * Migrate from osmo_ipa_idtag_parse() to ipa_ccm_id_resp_parse()
  * link libosmo-netif against libosmogsm
  * debian/rules: Don't overwrite .tarball-version

  [ Pau Espin Pedrol ]
  * jibuf: fix indentation in line inside conditional clause

  [ Stefan Sperling ]
  * detect freed connections in osmo_stream_srv_read()

 -- Harald Welte <laforge@gnumonks.org>  Sat, 19 Jan 2019 22:28:01 +0100

libosmo-netif (0.3.0) unstable; urgency=medium

  [ Pau Espin Pedrol ]
  * tests: jibuf_test: Set some functions as static
  * tests: jibuf_test: Add scenario to show out-of-order bug
  * jibuf: Fix out-of-order seq queue around syncpoints
  * osmux: change log lvl of batch full to debug

  [ Harald Welte ]
  * remove "channel" layer
  * stream.c: Use non-blocking connect in osmo_stream_cli

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Fri, 27 Jul 2018 18:31:42 +0200

libosmo-netif (0.2.0) unstable; urgency=medium

  [ Neels Hofmeyr ]
  * jenkins: use osmo-clean-workspace.sh before and after build
  * add --enable-sanitize config option
  * gitignore: vim swp files
  * osmo_stream_{cli,srv}_destroy: fix mem leak: empty msgb queue
  * configure: add --enable-werror
  * jenkins.sh: use --enable-werror configure flag, not CFLAGS

  [ Harald Welte ]
  * debian/control: Fix upstream-name
  * debian/copyright: There are no AGPL licensed files left
  * src/rs232.c: Fix accidential reference to GPLv3+ instead of GPLv2+
  * Add SPDX-License-Identifier + Copyright statements
  * debian/control: Fix Vcs-Browser
  * osmux: Fix use of uninitialized memory in osmux_out_handle

  [ Pau Espin Pedrol ]
  * stream: Avoid re-creating and leaking socket when unneeded
  * contrib: jenkins.sh: Disable building doxygen for deps
  * test: osmo-pcap-test: Fix clock drift while replaying pcap file
  * osmux: Use correct log category DLMUX
  * stream.c: osmo_stream_cli_open2: Remove wrong assumption in reconnect decision
  * tests: osmo-pcap-test: Fix pcap includes not found in old versions
  * osmux: osmux_xfrm_output_pull: Improve checks and log of malformed packets
  * jibuf: Add initial implementation of Jitter Buffer
  * tests: jibuf_tool: Initial commit
  * tests: jibuf_tool: Improve jibuf_test to read pcaps
  * tests: jibuf_tool: Add OSMUX support
  * tests: jibuf_tool: Add parameters to control size of buffer
  * jibuf: Take RTP marker into account
  * jibuf: re-sync clock out of sync timestamps
  * tests: jibuf_tool: Add seq.plt
  * jibuf: Estimate src clock skew
  * tests: use osmo_init_logging2
  * Build jibuf_tool based on libpcap availability
  * examples: use osmo_init_logging2
  * osmux: Add new API osmux_xfrm_output_sched to fix rtp generation issues
  * tests: Add osmux2 testsuite
  * osmux: Set Marker bit on osmux frame loss detected
  * osmux: Move examples and tests to use new output APIs

  [ Max ]
  * Enable sanitize for CI tests

  [ Stefan Sperling ]
  * add support for flushing and destroying a server-side stream

  [ Alexey ]
  * Update README.md

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Thu, 03 May 2018 16:55:21 +0200

libosmo-netif (0.1.1) unstable; urgency=medium


