## libosmo-netif 0.7.0.9.97c3

=== debian/changelog ===
libosmo-netif (0.7.0.9.97c3) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 11 Feb 2020 01:28:10 +0000
