=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
 Package: libosmonetif8
 Section: libs
 Architecture: any
-Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libosmonetif2
 Multi-Arch: same
 Description: Common/shared code regarding network interface for OpenBSC
@@ -36,7 +36,7 @@
 Package: libosmo-netif-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-latest, ${misc:Depends},
+Depends: osmocom-nightly, ${misc:Depends},
          libosmocore-dev,
          libosmocore,
          libosmonetif8 (= ${binary:Version})
@@ -52,7 +52,7 @@
 Package: libosmo-netif-doc
 Architecture: all
 Section: doc
-Depends: osmocom-latest, ${misc:Depends},
+Depends: osmocom-nightly, ${misc:Depends},
          libosmonetif8,
          libjs-jquery
 Description: Documentation for the Osmo network interface library
@@ -66,7 +66,7 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: osmocom-latest, libosmonetif8 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly, libosmonetif8 (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: same
 Description: Debug symbols for Osmocom network interface library
  The libosmo-netif library is one of the libraries needed by the
