## libosmo-netif 1.0.0

=== debian/changelog ===
libosmo-netif (1.0.0-4build2) jammy; urgency=medium

  * Rebuild against new libosmocore16.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 21 Mar 2022 02:56:54 +0100

libosmo-netif (1.0.0-4build1) jammy; urgency=medium

  * No-change rebuild against libosmocore18

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 21 Mar 2022 00:06:12 +0000

libosmo-netif (1.0.0-4) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 09 Dec 2020 19:16:04 +0100

libosmo-netif (1.0.0-3) experimental; urgency=medium

  * debian/rules: really determine on which arch we are running

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 01 Dec 2020 22:16:04 +0100

libosmo-netif (1.0.0-2) experimental; urgency=medium

  * debian/rules: ignore test result on some architectures

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 01 Dec 2020 21:16:04 +0100

libosmo-netif (1.0.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.5.0 (no changes)
  * debian/control: use dh12
  * debian/control: depend on libosmocore >=1.4.0
  * debian/control: depend on libosmo-abis >=1.0.1
  * debian/control: take care of soname change
  * add Build-Depends-Package: to symbols files

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 16 Aug 2020 10:16:04 +0000
