=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+arch = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 
 %:
@@ -23,3 +24,19 @@
 override_dh_clean:
 	dh_clean
 	rm -f tests/package.m4 tests/testsuite .version .tarball-version
+
+# Print test results in case of a failure
+# only s390x is a release architecture
+override_dh_auto_test:
+	echo ${arch}
+	if [ "${arch}" = "s390x" ] || \
+	   [ "${arch}" = "hppa" ] || \
+	   [ "${arch}" = "powerpc" ] || \
+	   [ "${arch}" = "ppc64" ] || \
+	   [ "${arch}" = "sparc64" ] || \
+	   [ "${arch}" = "mips" ] ; then \
+	   echo "Do not care of test result on this architecture" ;\
+	else \
+	   echo "Do make tests on this architecture" ;\
+	   dh_auto_test || (find . -name testsuite.log -exec cat {} \; ; false) \
+	fi
