## libosmo-netif 1.1.0

=== debian/changelog ===
libosmo-netif (1.1.0) unstable; urgency=medium

  [ Vadim Yanitskiy ]
  * debian/control: change maintainer to the Osmocom team / mailing list
  * stream: add missing Doxygen \return statements to non-void functions

  [ Pau Espin Pedrol ]
  * stream: Support creating sockets with IPv6 addresses
  * stream: Fix log of IPv6 during accept()
  * contrib/jenkins: Enable parallel make in make distcheck
  * tests: Explicitly drop category from log
  * gitignore: Ignore autfoo *~ churn
  * tests: Replace deprecated API log_set_print_filename

  [ Daniel Willmann ]
  * examples: Use osmo_stream_*_set_nodelay in ipa examples

  [ Harald Welte ]
  * Use osmo_fd_setup() wherever applicable
  * cosmetic: Fix whitespace (use tab instead of 8x space)
  * migrate to osmo_fd_{read,write}_{enable,disable}()
  * Don't depend on libosmo-abis (by default)

  [ Oliver Smith ]
  * configure.ac: set -std=gnu11

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 23 Feb 2021 16:47:37 +0100

libosmo-netif (1.0.0) unstable; urgency=medium

  [ Neels Hofmeyr ]
  * struct amr_header: copy comments to little endian part
  * add/clean big-endian packed structs (struct_endianess.py)

  [ Pau Espin Pedrol ]
  * configure.ac: Introduce --{enable,disable}-libsctp configure flag
  * configure.ac: Drop unneeded check for dahdi
  * stream.c: Improve logging during sock send()
  * stream: Drop data during write() while in state NONE
  * stream: Re-arrange cli states to fix 100% cpu usage bug
  * stream: Add new WAIT_RECONNECT cli state
  * stream: Rename cli state NONE to CLOSED
  * debian/control: Drop incorrect libortp-dev dependency
  * Use OSMO_FD_* instead of deprecated BSC_FD_*
  * stream: Fix some SCTP code not disabled if --disable-libsctp is used

  [ Eric ]
  * configure.ac: fix libtool issue  with clang and sanitizer

  [ Sylvain Munaut ]
  * stream: Attempt to workaround kernel ABI breakage

  [ Alexander Chemeris ]
  * amr: Fix OA<->BWE conversion.
  * amr: Fix OA<->BWE conversion.
  * amr: Whitespace fix

  [ neels ]
  * Revert "amr: Fix OA<->BWE conversion."

  [ Oliver Smith ]
  * contrib: import RPM spec
  * contrib: integrate RPM spec
  * Makefile.am: EXTRA_DIST: debian, contrib/*.spec.in

  [ Philipp Maier ]
  * amr: fix off-by-one in osmo_amr_bwe_to_oa()

  [ Harald Welte ]
  * src/stream: Work around more Linux kernel ABI breakage
  * src/stream.c: Don't leak socket during SCTP_EVENTS getsockopt

 -- Harald Welte <laforge@osmocom.org>  Thu, 13 Aug 2020 11:21:02 +0200
