## libosmo-netif 1.2.0

=== debian/changelog ===
libosmo-netif (1.2.0-3) unstable; urgency=medium

  * debian/control: add architecture-is-64-bit to build dependencies
                    (Closes: #1065790)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 11 Apr 2024 22:02:35 +0200

libosmo-netif (1.2.0-2) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 13 Oct 2022 19:02:35 +0200

libosmo-netif (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/control: depend on libosmocore >=1.7.0
  * debian/control: depend on libosmo-abis >=1.3.0
  * update symbols file

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 03 Oct 2022 13:09:42 +0200

libosmo-netif (1.1.0-2) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 15 Mar 2022 19:02:35 +0000

libosmo-netif (1.1.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.6.0 (no changes)
  * debian/control: use dh13
  * debian/control: depend on libosmocore >=1.6.0
  * debian/control: depend on libosmo-abis >=1.2.0

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 07 Mar 2022 18:02:35 +0000
